@font-face {
    font-family: 'Golos-Text';
    src: url('/webfonts/Golos-Text.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root {
    --font-family: 'Golos-Text', sans-serif;
}

body>main {
    padding: 0;
}

article {
    margin-top: calc(var(--spacing) * 4);
    margin-bottom: calc(var(--spacing) * 2);
    padding-top: var(--spacing);
    padding-bottom: var(--spacing);
}

hr {
    margin-bottom: var(--typography-spacing-vertical);
}

h1, h2 {
    margin-bottom: 1rem;
}

hgroup {
    margin-bottom: 0.5rem;
}

article>header {
    margin-bottom: 2rem;
    padding-bottom: 1rem;
}

dt {
    font-weight: bold;
}

dl.light > dt {
    font-weight: normal;
}

dd:has(+dt) {
    margin-bottom: var(--typography-spacing-vertical);
}

footer {
    font-size: smaller;
    opacity: 50%;
    text-align: right;
    margin-bottom: var(--spacing);
}

.queue-column {
    margin-top: calc(var(--spacing) * 2);
    padding-bottom: 2px;
}

.queue-column>header {
    padding-top: var(--spacing);
    padding-bottom: 0;
    margin-bottom: 0;
}

.queue-column>header>h2 {
    font-size: xx-large;
}

.queue-column>ul {
    margin-bottom: 0;
    margin-left: calc(var(--block-spacing-horizontal) * -1);
    margin-right: calc(var(--block-spacing-horizontal) * -1);
    padding-left: 0;
}

.queue-column>ul>li {
    border-radius: var(--border-radius);
    list-style: none;
    margin-bottom: 0;
    margin-top: 2px;
    padding: calc(var(--block-spacing-vertical) * 0.4) var(--block-spacing-horizontal);
}

.color-picture {
    background-color: hsla(195deg, 85%, 41%, 50%);
    color: var(--primary-inverse);
}

.color-story {
    background-color: hsla(48deg, 46%, 67%, 50%);
    color: var(--primary-inverse);
}

.color-picture-plus-story {
    background-color: hsla(123deg, 43%, 39%, 50%);
    color: var(--primary-inverse);
}

.color-animation {
    background-color: hsla(300deg, 85%, 41%, 50%);
    color: var(--primary-inverse);
}

.badge {
    background-color: var(--background-color);
    border-radius: var(--border-radius);
    padding: 0.25em 0.4em;
    display: block;
    font-size: smaller;
    vertical-align: baseline;
    float: right;
}

.text-center {
    text-align: center;
}

.form-error {
    background-color: hsla(0, 100%, 50%, 0.5);
    color: var(--primary-inverse);
}

.text-nobr {
    white-space: nowrap;
}

img.sample {
    border-radius: var(--border-radius);
    width: 100%;
}

.blockbtn {
    display: block;
    margin-bottom: var(--spacing);
    width: 100%;
}

.input-group {
    display: flex;
}

.input-group > button {
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    flex-basis: 50%;
}

.input-group > input {
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
}
